Stack.o : Stack.c Stack.h
	gcc -c Stack.c Stack.h
hash.o : hash.c hash.h
	gcc -c hash.c hash.h
Adj_list.o : Adj_list.c Adj_list.h
	gcc -c Adj_list.c Adj_list.h
calc_betweenness : betweenness.c Adj_list.o Adj_list.h hash.h hash.o Stack.o Stack.h
	gcc -o calc_betweenness betweenness.c Adj_list.o Adj_list.h hash.h hash.o Stack.o Stack.h
calc_betweenness_newedges : betweenness_newedges.c Adj_list.o Adj_list.h hash.h hash.o Stack.o Stack.h
	gcc -o calc_betweenness_newedges betweenness_newedges.c Adj_list.o Adj_list.h hash.h hash.o Stack.o Stack.h
general_betweenness : betweenness_general.c Adj_list.o Adj_list.h hash.h hash.o Stack.o Stack.h
	gcc -o general_betweenness betweenness_general.c Adj_list.o Adj_list.h hash.h hash.o Stack.o Stack.h
pos_betweenness : betweenness_pos.c Adj_list.o Adj_list.h hash.h hash.o Stack.o Stack.h
	gcc -o pos_betweenness betweenness_pos.c Adj_list.o Adj_list.h hash.h hash.o Stack.o Stack.h
do_dijkstra : dijkstra.c Adj_list.o Adj_list.h hash.h hash.o
	gcc -o do_dijkstra dijkstra.c Adj_list.o Adj_list.h hash.o hash.h

general_dijkstra : dijkstra_general.c Adj_list.o Adj_list.h hash.h hash.o
	gcc -o general_dijkstra dijkstra_general.c Adj_list.o Adj_list.h hash.o hash.h
Network_Properties : Network_Properties.c Adj_list.o Adj_list.h hash.h hash.o
	gcc -o Network_Properties Network_Properties.c Adj_list.o Adj_list.h hash.o hash.h
test.out : general_dijkstra
	./general_dijkstra testData.txt 8 9 > test.out
#test.out : do_dijkstra
#	./do_dijkstra 9 9 > test.out



%.o : %.c %.h
	gcc -c $*.c $*.h
